aboutsummaryrefslogtreecommitdiffstats
path: root/community/uptimed
diff options
context:
space:
mode:
Diffstat (limited to 'community/uptimed')
-rw-r--r--community/uptimed/APKBUILD39
-rw-r--r--community/uptimed/uptimed.init12
2 files changed, 51 insertions, 0 deletions
diff --git a/community/uptimed/APKBUILD b/community/uptimed/APKBUILD
new file mode 100644
index 0000000000..8e2aee4798
--- /dev/null
+++ b/community/uptimed/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
+# Maintainer:
+
+pkgname=uptimed
+pkgver=0.4.0
+pkgrel=0
+pkgdesc='System uptime record daemon'
+arch="all"
+url='http://podgorny.cz/uptimed/'
+license='GPL'
+subpackages="$pkgname-doc"
+makedepends='autoconf automake libtool'
+source="$pkgname-$pkgver.tar.gz::https://github.com/rpodgorny/uptimed/archive/v$pkgver.tar.gz
+ uptimed.init"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ autoreconf -vif || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make install DESTDIR="$pkgdir" || return 1
+ mv "$pkgdir"/etc/uptimed.conf-dist \
+ "$pkgdir"/etc/uptimed.conf || return 1
+ install -Dm755 "$srcdir"/uptimed.init \
+ "$pkgdir"/etc/init.d/uptimed || return 1
+}
+
+md5sums="6c50b0671e7efed89efb4b956dc0f5e5 uptimed-0.4.0.tar.gz
+6210e2b18e997d7484e56526ec03fe39 uptimed.init"
+sha256sums="26891965bb499065e34072cecd3eb8087102b1c05f530c8fe8504a07c722f9bf uptimed-0.4.0.tar.gz
+1f741f3e80c3efcb77e9bcb8348187bfb764becc5fbda6816f553dd2e8d2ed2e uptimed.init"
+sha512sums="918cd9e065d5005daf5062f14dffb725cb6d6764aa571fd45d63de3f7349b910cbae0dedc832f9bfb52a42caea90e8aec8390685baaf0718fec827240e517900 uptimed-0.4.0.tar.gz
+0884e9f5ace5a69b8eea4401c7f3b84f0a434f0ceb2b920919e83f318eb9e54182932de174cf1666ddddbab84c146781f3dd78571e80cc274963a72bf4f53a6b uptimed.init"
diff --git a/community/uptimed/uptimed.init b/community/uptimed/uptimed.init
new file mode 100644
index 0000000000..deba54128c
--- /dev/null
+++ b/community/uptimed/uptimed.init
@@ -0,0 +1,12 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+description="uptimed - a daemon to record uptime records"
+pidfile="/var/run/uptimed/uptimed.pid"
+command="/usr/sbin/uptimed"
+command_args="-p ${pidfile}"
+
+start_pre() {
+ uptimed -b
+}